"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useScriptLoader_1 = __importDefault(require("./useScriptLoader"));
const useCssLoader_1 = __importDefault(require("./useCssLoader"));
function useAtlas() {
    const azCss = (0, useCssLoader_1.default)("https://atlas.microsoft.com/sdk/javascript/mapcontrol/2/atlas.min.css");
    const azScript = (0, useScriptLoader_1.default)("https://atlas.microsoft.com/sdk/javascript/mapcontrol/2/atlas.min.js");
    const [a, setA] = (0, react_1.useState)();
    (0, react_1.useEffect)(() => {
        if (!azCss || !azScript)
            return;
        const waitForAtlas = () => {
            if (typeof window.atlas === 'undefined') {
                setTimeout(waitForAtlas, 100);
            }
            else {
                setA(window.atlas);
            }
        };
        waitForAtlas();
    }, [azCss, azScript]);
    return a;
}
exports.default = useAtlas;
//# sourceMappingURL=useAtlas.js.map