"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useCssLoader(url) {
    const [isLoaded, setIsLoaded] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        if (isLoaded)
            return;
        let newElement = document.querySelector('link[href="' + url + '"]');
        if (newElement) {
            setIsLoaded(true);
            return;
        }
        newElement = document.createElement('link');
        newElement.rel = 'stylesheet';
        newElement.href = url;
        const handleLoad = () => {
            setIsLoaded(true);
        };
        const handleError = (error) => {
            console.error(`Failed to load ${url}`, error);
        };
        newElement.addEventListener('load', handleLoad);
        newElement.addEventListener('error', handleError);
        document.head.appendChild(newElement);
        return () => {
            newElement.removeEventListener('load', handleLoad);
            newElement.removeEventListener('error', handleError);
        };
    }, [url]);
    return isLoaded;
}
exports.default = useCssLoader;
//# sourceMappingURL=useCssLoader.js.map