"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useScriptLoader(url) {
    const [isLoaded, setIsLoaded] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        if (isLoaded)
            return;
        let newElement = document.querySelector('script[src="' + url + '"]');
        if (newElement) {
            setIsLoaded(true);
            return;
        }
        newElement = document.createElement('script');
        newElement.src = url;
        newElement.async = true;
        const handleLoad = () => {
            setIsLoaded(true);
        };
        const handleError = (error) => {
            console.error(`Failed to load ${url}`, error);
        };
        newElement.addEventListener('load', handleLoad);
        newElement.addEventListener('error', handleError);
        document.body.appendChild(newElement);
        return () => {
            newElement.removeEventListener('load', handleLoad);
            newElement.removeEventListener('error', handleError);
        };
    }, [url]);
    return isLoaded;
}
exports.default = useScriptLoader;
//# sourceMappingURL=useScriptLoader.js.map